Diff for /wikisrc/users/leot/aarch64_problems.mdwn between versions 1.6 and 1.8

version 1.6, 2018/07/23 21:32:12 version 1.8, 2018/07/24 00:09:53
Line 129  Doing a (please note that also `python36 Line 129  Doing a (please note that also `python36
         ((void(*)(void))_cffi_exports[13])          ((void(*)(void))_cffi_exports[13])
     #define _cffi_save_errno                                                 \      #define _cffi_save_errno                                                 \
         ((void(*)(void))_cffi_exports[14])          ((void(*)(void))_cffi_exports[14])
   
   The following patch workaround the issue:
   
       $NetBSD: aarch64_problems.mdwn,v 1.7 2018/07/23 22:51:09 leot Exp $
       
       Kludge for NetBSD/aarch64 SIGILL.
       
       --- setup.py.orig   2018-02-27 18:15:41.000000000 +0000
       +++ setup.py
       @@ -70,7 +70,7 @@ def ask_supports_thread():
            ok = (sys.platform != 'win32' and
                  config.try_compile('__thread int some_threadlocal_variable_42;'))
            if ok:
       -        define_macros.append(('USE__THREAD', None))
       +        pass
            else:
                ok1 = config.try_compile('int some_regular_variable_42;')
                if not ok1:
   
   
   ## polkitd crashes
   
       pinebook# /usr/pkg/lib/polkit-1/polkitd
       Successfully changed to user polkitd
       Error loading /var/run/ConsoleKit/database: Error statting file /var/run/ConsoleKit/database: No such file or directory[1]   Segmentation fault      /usr/pkg/lib/polkit-1/polkitd

Removed from v.1.6  
changed lines
  Added in v.1.8


CVSweb for NetBSD wikisrc <wikimaster@NetBSD.org> software: FreeBSD-CVSweb